Subject: Ticket Assigned - 9562062098 / late delivery
From: Home Box <[email-masked]>
To: [email-masked]
Date: Sat, 26 Mar 2022 09:22:46 +0000

Hi Ahmed Omer,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  9562062098 / late delivery -                    Please, someone respond to him and ask for anything about order           01:10 PM, 26th Mar                   New                   Thank you for contacting HomeBox! In Order for us to help you, please describe your query in detail.           01:10 PM, 26th Mar                   New                   If you are contacting us about an existing order, please share with us your Order number or Invoice number while explaining your query.            01:10 PM, 26th Mar                     -                    There is no message about the order           01:11 PM, 26th Mar                   New                   We are experiencing high volume of incoming messages. Please make sure you've described your query in detail. Please be sure to include your Order Number/Invoice number or details of the item you are inquiring about.            01:12 PM, 26th Mar                   New                   If you have any pictures that you would like to share, please do that.            01:12 PM, 26th Mar                   New                   We will respond to your query in just a few minutes. Please accept our apologies for the delay. Thank you for your patience           01:12 PM, 26th Mar                   Ahmed                   Kindly allow me few moments so I can check the details of the order            01:12 PM, 26th Mar                     -                             01:14 PM, 26th Mar                     -                    It come one week           01:14 PM, 26th Mar                   Ahmed                   We apologize and thank you for your patience and understanding. Please a moment  to serve you  the fullest.           01:21 PM, 26th Mar                   Ahmed                   We deeply apologize for the experience you went through, and we would like to inform you that this is not the experience we would like our customers to have with us and that we seek to develop our services to have the best shopping experience with us next time.           01:22 PM, 26th Mar                   Ahmed                   I've just checked the order. We've escalated your request to the concerned team. It does take some time for them to process and action this. Kindly bear with us. As soon as we get an update, I will provide you with the resolution.           01:22 PM, 26th Mar                                          View conversation in Freshchat https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4079105